package ru.ttyh.neko259.notey.ui.dialog;

import android.support.v4.app.FragmentActivity;

import java.util.Calendar;

public class PickerDialogHolder {

	protected FragmentActivity activity;
	protected Calendar calendar;
	protected OnCalendarChangedListener onCalendarChangedListener;

	public PickerDialogHolder(FragmentActivity activity) {
		this.activity = activity;

		calendar = Calendar.getInstance();
	}

	public void setOnCalendarChangedListener(OnCalendarChangedListener
			onCalendarChangedListener) {
		this.onCalendarChangedListener = onCalendarChangedListener;

		// Update the time to the current
		onCalendarChangedListener.onChanged(calendar);
	}

	public Calendar getCalendar() {
		return calendar;
	}

	public interface OnCalendarChangedListener {

		public void onChanged(Calendar calendar);

	}

}