package ru.ttyh.neko259.notey.test;

import ru.ttyh.neko259.notey.db.ClassCacheDao;

public class CacheDbTest extends DBTest {

	public void testSetAndGet() {
		ClassCacheDao classCacheDao = getHelper().getClassCacheDao();

		classCacheDao.set("test class", 1, "key", "value");
		String value = classCacheDao.get("test class", 1,
				"key");

		assertEquals("Cache value not set.", "value", value);
	}

	public void testDelete() {
		ClassCacheDao classCacheDao = getHelper().getClassCacheDao();

		classCacheDao.set("test class", 1, "key", "value");
		classCacheDao.set("test class", 2, "key", "value");

		classCacheDao.removeEntityCache("test class", 2);

		String value1 = classCacheDao.get("test class", 1,
				"key");
		assertEquals("Wrong cache value deleted.", "value", value1);

		String value2 = classCacheDao.get("test class", 2,
				"key");
		assertNull("Cache value not deleted.", value2);
	}

}
